### Constructor

# PangoXft.Renderer.new

#### Declaration [src]

    PangoRenderer*
    pango_xft_renderer_new (
      Display* display,
      int screen
    )

#### Description [src]

Create a new `PangoXftRenderer` to allow rendering Pango objects with the Xft library. You must call `pango_xft_renderer_set_draw()` before using the renderer.

#### Parameters

`display` | `Display*`
| an X display
| Ownership is not transferred to the callee
`screen` | `int`
| the index of the screen for `display` to which rendering will be done

#### Return value

Returns: `PangoRenderer*`
the newly created `PangoXftRenderer`, which should be freed with `g_object_unref()`.
Ownership of the data is transferred to the caller